Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.directwebremoting.dwrp
Class SimpleOutboundVariable

    java.lang.Object
      org.directwebremoting.dwrp.AbstractOutboundVariable
          org.directwebremoting.dwrp.SimpleOutboundVariable

All Implemented Interfaces:
  OutboundVariable

    public class SimpleOutboundVariable

extends AbstractOutboundVariable
implements OutboundVariable

An OutboundVariable that can not be recursive.

Author:
  Joe Walker [joe at getahead dot ltd dot uk]

Constructor Summary
`SimpleOutboundVariable(java.lang.String code, OutboundContext outboundContext, boolean forceInline)` Default ctor that leaves blank (not null) members

Method Summary
`java.lang.String` | `toString()`

Methods inherited from class org.directwebremoting.dwrp.AbstractOutboundVariable
`getAssignCode, getBuildCode, getDeclareCode, getReferenceVariable`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.directwebremoting.extend.OutboundVariable
`getAssignCode, getBuildCode, getDeclareCode, getReferenceVariable`

Constructor Detail

### SimpleOutboundVariable

    public SimpleOutboundVariable(java.lang.String code,
                                  OutboundContext outboundContext,
                                  boolean forceInline)

  Default ctor that leaves blank (not null) members

  Parameters:
    `code` - the access for the inited code
    `outboundContext` - The conversion context
    `forceInline` - true to force inline status, false to let the system decide

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright ¬ 2005
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD